Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.order
Interface OrderLine

All Known Subinterfaces:
  PurchasedOrderLine

All Known Implementing Classes:
  OrderLineImpl

public interface OrderLine
extends Belonging

This class combines an item and a quantity. The item is a reference to an entity bean. This class is persisted inside an order.

                      item
     [OrderLine] <>------> [theory.smart.ebusiness.item.Item]

                      quantity
     [OrderLine] <*>------> [theory.smart.axiom.units.Quantity]

                      price
     [OrderLine] <*>------> [theory.smart.axiom.units.Price]

See Also:
  `OrderLineHome`, `OrderLineImpl`

Method Summary
`void` | `correctPrice(Price newPrice)` Forcibly correct a price once it has been locked in.
`Item` | `getItem()` Get the remote object reference of item
`Price` | `getItemPrice(Customer customer)` Get the price for a single unit using the Item's price calculation policy.
`Price` | `getLinePrice(Customer customer)` Get the value of the order by using the priceCalculationPolicy to determing the price and multiplying the price by the quantity.
`Price` | `getPrice()` Get the value of price
`Quantity` | `getQuantity()` Get the value of quantity
`void` | `lockinPrice(Customer customer)` Freeze the price of the item by getting the Item price and storing a local copy of the value.
`void` | `setItem(Item item)` Set the remote object reference of item
`void` | `setPrice(Price price)` Set the value of price
`void` | `setQuantity(Quantity quantity)` Set the value of quantity

Methods inherited from interface theory.smart.foundation.Belonging
`equals, value`

Methods inherited from interface com.sun.java.util.collections.Comparable
`compareTo`

Method Detail

### getItem

    public Item getItem()
                 throws java.rmi.RemoteException

  Get the remote object reference of item
  Returns:
    item.

### setItem

    public void setItem(Item item)
                 throws java.rmi.RemoteException

  Set the remote object reference of item
  Parameters:
    `items` - item to be added

### getQuantity

    public Quantity getQuantity()

  Get the value of quantity
  Returns:
    quantity.

### setQuantity

    public void setQuantity(Quantity quantity)

  Set the value of quantity
  Parameters:
    `quantities` - quantity to be added

### getPrice

    public Price getPrice()

  Get the value of price
  Returns:
    price.

### setPrice

    public void setPrice(Price price)

  Set the value of price
  Parameters:
    `prices` - price to be added

### getLinePrice

    public Price getLinePrice(Customer customer)
                       throws java.rmi.RemoteException

  Get the value of the order by using the priceCalculationPolicy to determing the price and multiplying the price by the quantity.

### getItemPrice

    public Price getItemPrice(Customer customer)
                       throws java.rmi.RemoteException

  Get the price for a single unit using the Item's price calculation policy.

### lockinPrice

    public void lockinPrice(Customer customer)
                     throws java.rmi.RemoteException

  Freeze the price of the item by getting the Item price and storing a local copy of the value.

### correctPrice

    public void correctPrice(Price newPrice)
                      throws java.rmi.RemoteException

  Forcibly correct a price once it has been locked in.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.